### Hierarchy

- CopyleaksStartRequestModel

## Index

### Constructors

- constructor

### Properties

- errorHandling
- trigger

## Constructors

### constructor

- new CopyleaksStartRequestModel(trigger: string[], errorHandling?: CopyleaksStartErrorHandlings): CopyleaksStartRequestModel

- - Defined in src/models/request/CopyleaksStartRequestModel.ts:25

  #### Parameters

  - ##### trigger: string[]

    A list of scans that you submitted for a check-credits scan and that you would like to submit for a full scan.

  - ##### Optional errorHandling: CopyleaksStartErrorHandlings

    When set to ignore (ignore = 1) the trigger scans will start running even if some of them are in error mode, when set to cancel (cancel = 0) the request will be cancelled if any error was found.

  #### Returns CopyleaksStartRequestModel

## Properties

### Optional errorHandling

errorHandling: CopyleaksStartErrorHandlings

### trigger

trigger: string[]

Generated using TypeDoc